org.apache.xmlbeans.impl.values

## Class XmlUnsignedByteImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.JavaIntHolder
    - - org.apache.xmlbeans.impl.values.JavaIntHolderEx
      - - org.apache.xmlbeans.impl.values.XmlUnsignedByteImpl

All Implemented Interfaces:
  Serializable, TypeStoreUser, SimpleValue, XmlAnySimpleType, XmlDecimal, XmlInteger, XmlNonNegativeInteger, XmlObject, XmlTokenSource, XmlUnsignedByte, XmlUnsignedInt, XmlUnsignedLong, XmlUnsignedShort

    public class XmlUnsignedByteImpl
    extends JavaIntHolderEx
    implements XmlUnsignedByte

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

### Fields inherited from interface org.apache.xmlbeans.XmlUnsignedByte

`Factory, type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Constructor Summary

Constructors
Constructor and Description
`XmlUnsignedByteImpl()`
`XmlUnsignedByteImpl(SchemaType type, boolean complex)`

### Method Summary

### Methods inherited from class org.apache.xmlbeans.impl.values.JavaIntHolderEx

`schemaType, set_int, set_text, validate_simpleval, validateLexical`

### Methods inherited from class org.apache.xmlbeans.impl.values.JavaIntHolder

`compare_to, compute_text, equal_to, getBigDecimalValue, getBigIntegerValue, getIntValue, getLongValue, set_BigDecimal, set_BigInteger, set_long, set_nil, value_hash_code`

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_text, get_default_attribute_value, get_default_element_text, get_element_ending_delimiters, get_element_type, get_elementflags, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getListValue, getLongArray, getLongArray, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_child_element_order_sensitive, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, new_visitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_list, set_newValue, set_notation, set_QName, set_short, set_String, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, update_from_complex_content, uses_invalidate_value, validate_now, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.xmlbeans.XmlUnsignedByte

`getShortValue, setShortValue`

### Methods inherited from interface org.apache.xmlbeans.XmlUnsignedShort

`getIntValue, setIntValue`

### Methods inherited from interface org.apache.xmlbeans.XmlUnsignedInt

`getLongValue, setLongValue`

### Methods inherited from interface org.apache.xmlbeans.XmlInteger

`getBigIntegerValue, setBigIntegerValue`

### Methods inherited from interface org.apache.xmlbeans.XmlDecimal

`getBigDecimalValue, setBigDecimalValue`

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Constructor Detail

#### XmlUnsignedByteImpl

    public XmlUnsignedByteImpl()

#### XmlUnsignedByteImpl

    public XmlUnsignedByteImpl(SchemaType type,
                               boolean complex)